#include <SensorUNO.h>

unsigned long millis_loopGetData;
float celsius = 0.0F;
String sensors;
unsigned int sensorCount = 0;
float sensorValue[5] = { 0.0f, 0.0f, 0.0f, 0.0f, 0.0f };

void setup(void) {
  Serial.begin(9600);
}

void scanSensors() {
  SensorUNO sensor;
  sensorCount = 0;
  String newSensors = "[";
  while (sensor.searchSensor() && sensorCount < 5) {
    sensorValue[sensorCount] = sensor.getTemperature();
    if (newSensors != "[") newSensors += ",";
    newSensors += sensor.json;
    sensorCount++;
  }
  sensors = "{\"Sensors\":" + newSensors + "]}";
}

void loop(void) {
  if (millis_loopGetData < millis()) {
    millis_loopGetData = millis() + 5000;
    scanSensors();
  }

  String incoming;
  
  if (Serial.available()) {
    incoming = Serial.readString();
  }

  if (incoming == "ping\r\n") {
    Serial.println("pong");
  } else if (incoming == "sensors\r\n") {
    Serial.println(sensors);
  }
  
  delay(300);
}
